## org.eclipse.jst.jsf.facesconfig.edit.provider
Class PropertyResolverTypeItemProvider

    java.lang.Object
      ItemProviderAdapter
          org.eclipse.jst.jsf.facesconfig.edit.provider.PropertyResolverTypeItemProvider

    public class PropertyResolverTypeItemProvider

extends ItemProviderAdapter

This is the item provider adapter for a `PropertyResolverType` object.

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`PropertyResolverTypeItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`java.lang.Object` `getColumnImage(java.lang.Object object, int columnIndex)`
`java.lang.String` `getColumnText(java.lang.Object object, int columnIndex)`
`java.lang.Object` `getImage(java.lang.Object object)` This returns PropertyResolverType.gif
`java.util.List` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`ResourceLocator` `getResourceLocator()` Return the resource locator for this item provider's resources.
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class
`void` `notifyChanged(Notification notification)` This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### PropertyResolverTypeItemProvider

    public PropertyResolverTypeItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

  Parameters:
    `adapterFactory` -

Method Detail

### getPropertyDescriptors

    public java.util.List getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns PropertyResolverType.gif.

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `#updateChildren` to update any cached children and by creating a viewer notification, which it passes to `#fireNotifyChanged`.

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

### getColumnImage

    public java.lang.Object getColumnImage(java.lang.Object object,
                                           int columnIndex)

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)